namespace Valg.EVA.Skanning.UserInterfaceElements.Welcome
{
    public class WelcomeResult
    {
        public bool CanProceedFromWelcomeScreen { get; }

        public static readonly WelcomeResult Cancelled = new WelcomeResult(canProceedFromWelcomeScreen: true);
        public static readonly WelcomeResult ShowEmergencyModeConfiguration = new WelcomeResult();
        public static readonly WelcomeResult ShowInstallClientCertificate = new WelcomeResult();
        public static readonly WelcomeResult EmergencyModeLoginCompleted = new WelcomeResult(canProceedFromWelcomeScreen: true);
        public static readonly WelcomeResult EmergencyModeLoginCancelled = new WelcomeResult();
       
        public static WelcomeResult ShowIdPortenLogin = new WelcomeResult(canProceedFromWelcomeScreen: true);

        private WelcomeResult(bool canProceedFromWelcomeScreen = false)
        {
            CanProceedFromWelcomeScreen = canProceedFromWelcomeScreen;
        }
    }
}
